Bug 53383 - installer crashed when using disk druid
installer crashed when using disk druid
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-07 14:25 EDT by solarguy
Modified: 2007-04-18 12:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-10 08:25:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anacdump file (717 bytes, text/plain)
2001-09-07 14:26 EDT, solarguy
no flags Details

  None (edit)
Description solarguy 2001-09-07 14:25:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98)

Description of problem:
Traceback (innermost last):
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/progress_gui.py", 
line 20, in run
    rc = self.todo.doInstall ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1472, in 
doInstall
    self.fstab.mountFilesystems (self.instPath)
  File "fstab.py", line 715, in mountFilesystems
    raise SystemError, (errno, msg)
SystemError: (22, 'Invalid argument')

Local variables in innermost frame:
size: 23623551
fsystem: ext2
self: <fstab.GuiFstab instance at 84b9920>
msg: Invalid argument
doFormat: 1
errno: 22
device: hda5
instPath: /mnt/sysimage
mntpoint: /

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6

<failed>


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.run install process
2.
3.
	

Additional info:
Comment 1 solarguy 2001-09-07 14:26:27 EDT
Created attachment 31257 [details]
anacdump file
Comment 2 Matt Wilson 2001-09-07 15:31:14 EDT
did you select an existing partition to mount that wasn't properly formatted?
Comment 3 solarguy 2001-09-09 11:06:08 EDT
I let disk druid do the partioning.  I started with a HD that had another os on it, formatted it and then started the Linux install.  I first installed the 
server setup & then wiped the hd & am trying to install the workstation.  Should I do the partioning myself?  If so, what setting should i apply.  The hd 
is 6gb & will only have the linux os on it.
Comment 4 solarguy 2001-09-10 08:25:01 EDT
Problem resolved!!  After trying the install a couple of more times.  I kept 
getting an error message about an hda failure.  After further digging, I found 
that I needed to do a low level re-format & that solved the problem.  I have 
been able to Linux install.  Thanks for you help.

Note You need to log in before you can comment on or make changes to this bug.